De-activate/Re-activate an object in Dataflow

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
PUT /dataflows/{dataflowId}/inactiveNode/nodeId/{nodeId}/status/{status}

De-activate/Re-activate an object in Dataflow.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • nodeId string Required

    id of the node/object inside the Dataflow

  • status number Required

    node/object status (1 for activate itself, 2 for activate itself and children, and -1 for de-activate itself, -2 for de-activate itself and children)

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id string

      the updated Dataflow Id

PUT /dataflows/{dataflowId}/inactiveNode/nodeId/{nodeId}/status/{status}
curl \
 --request PUT 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/inactiveNode/nodeId/{nodeId}/status/{status}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "_id": "5743cbbccd7b08254a5a6ec0"
}